Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.validator.validators
Class StringLengthFieldValidator

    java.lang.Object
      com.opensymphony.xwork2.validator.validators.ValidatorSupport
          com.opensymphony.xwork2.validator.validators.FieldValidatorSupport
              com.opensymphony.xwork2.validator.validators.StringLengthFieldValidator

All Implemented Interfaces:
  FieldValidator, ShortCircuitableValidator, Validator

    public class StringLengthFieldValidator

extends FieldValidatorSupport

StringLengthFieldValidator checks that a String field is of a certain length. If the "minLength" parameter is specified, it will make sure that the String has at least that many characters. If the "maxLength" parameter is specified, it will make sure that the String has at most that many characters. The "trim" parameter determines whether it will `trim` the String before performing the length check. If unspecified, the String will be trimmed.

- fieldName - The field name this validator is validating. Required if using Plain-Validator Syntax otherwise not required
- maxLength - The max length of the field value. Default ignore.
- minLength - The min length of the field value. Default ignore.
- trim - Trim the field value before evaluating its min/max length. Default true

                    <validators>
              <!-- Plain Validator Syntax -->
                            <validator type="stringlength">
                                    <param name="fieldName">myPurchaseCode</param>
                                    <param name="minLength">10</param>
                  <param name="maxLength">10</param>
                  <param name="trim">true</param>
                  <message>Your purchase code needs to be 10 characters long</message>
              </validator>

                            <!-- Field Validator Syntax -->
                            <field name="myPurchaseCode">
                                    <param name="minLength">10</param>
                  <param name="maxLength>10</param>
                  <param name="trim">true</param>
                  <message>Your purchase code needs to be 10 characters long</message>
                            </field-name>
          </validators>

Version:
  $Date: 2006-10-05 17:39:20 +0200 (Do, 05 Okt 2006) $ $Id: StringLengthFieldValidator.java 1152 2006-10-05 15:39:20Z tm_jee $
Author:
  Jason Carreira, Mark Woon, tmjee

Field Summary
`private boolean` | `doTrim`
`private int` | `maxLength`
`private int` | `minLength`

Fields inherited from class com.opensymphony.xwork2.validator.validators.ValidatorSupport
`defaultMessage, log, messageKey`

Constructor Summary
`StringLengthFieldValidator()`

Method Summary
`int` | `getMaxLength()`
`int` | `getMinLength()`
`boolean` | `getTrim()`
`void` | `setMaxLength(int maxLength)`
`void` | `setMinLength(int minLength)`
`void` | `setTrim(boolean trim)`
`void` | `validate(Object object)` The validation implementation must guarantee that setValidatorContext will be called with a non-null ValidatorContext before validate is called.

Methods inherited from class com.opensymphony.xwork2.validator.validators.FieldValidatorSupport
`getFieldName, getValidatorType, setFieldName, setValidatorType`

Methods inherited from class com.opensymphony.xwork2.validator.validators.ValidatorSupport
`addActionError, addFieldError, conditionalParse, getDefaultMessage, getFieldValue, getMessage, getMessageKey, getParse, getValidatorContext, isShortCircuit, setDefaultMessage, setMessageKey, setParse, setShortCircuit, setValidatorContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.opensymphony.xwork2.validator.Validator
`getDefaultMessage, getMessage, getMessageKey, getValidatorContext, setDefaultMessage, setMessageKey, setValidatorContext`

Field Detail

### doTrim

    private boolean doTrim

### maxLength

    private int maxLength

### minLength

    private int minLength

Constructor Detail

### StringLengthFieldValidator

    public StringLengthFieldValidator()

Method Detail

### setMaxLength

    public void setMaxLength(int maxLength)

### getMaxLength

    public int getMaxLength()

### setMinLength

    public void setMinLength(int minLength)

### getMinLength

    public int getMinLength()

### setTrim

    public void setTrim(boolean trim)

### getTrim

    public boolean getTrim()

### validate

    public void validate(Object object)
                  throws ValidationException

  Description copied from interface: `Validator`
  The validation implementation must guarantee that setValidatorContext will be called with a non-null ValidatorContext before validate is called.

  Throws:
    `ValidationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.